{...}: {
  imports = [
    ../../modules
  ];

  config.horseman = {
    users.default.enable = true;

    base = {
      nix.enable = true;
      locale.enable = true;
    };

    boot = {
      loader.systemd.enable = true;
      greeter.greetd.enable = true;
      greeter.greetd.session = "Hyprland";
      refind.enable = true;
    };

    wm.hyprland = {
      enable = true;

      config = {
        monitors = {
          displays = [
            {
              output = "DP-2";
              x = 0;
              y = 0;
              wallpaper = ../../misc/landscape.png;
            }
            {
              output = "DP-3";
              x = -1440;
              y = 0;
              transform = 1;
              wallpaper = ../../misc/portrait.png;
              bar = "top";
            }
          ];
          bindWorkspaces = "interlaced";
        };
      };
    };

    hardware = {
      gpu.nvidia.enable = true;
      audio.enable = true;
    };

    network = {
      ssh.enable = true;
      syncthing.enable = true;
      tailscale.enable = true;
    };

    apps = {
      dev.enable = true;
      visual.enable = true;
      gaming.enable = true;
      terminal = {
        enable = true;
        zsh.enable = true;
      };
    };

    timers = {
      wol.enable = true;
    };
  };
}
